@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* Definições Globais */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --cor-principal: black;
    --cor-secundaria: white;
}

.link-list {
    list-style: none;
    text-decoration: none;
}

.logo-name {
    font-size: 2em;
    text-decoration: none;
}

.paragraph {
    font-size: 0.7em;
}

/* Fim - Globais */

/* Inicio - Header */

header {
    width: 100%;
    height: 3em;
    font-family: poppins;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 1em 0 1em;
    position: fixed;
    z-index: 11;
    background-color: var(--cor-secundaria);
    box-shadow: 1px 1px 10px  rgba(0, 0, 0, 0.056);
}

#bi-header-list-button {
    display: none;
}

.menu {
    display: flex;
    list-style: none;
    gap: 2em;
}

.link-menu {
    color: var(--cor-principal);
    text-decoration: none;
}
.link-menu:hover{
    cursor: pointer;
}

.div-menu-btt {
    display: flex;
    align-items: center;
    font-size: 1em;
    gap: 1em;
}

.button-menu {
    background-color: transparent;
    padding: 0.5em 1em 0.5em 1em;
    border-radius: 50em;
    border: 1px black solid;
}

/* Final - Header */

/* Inicio - Section - Intro */

#intro {
    height: auto;
    width: 100%;
    background-image: url(../img/page01-bg.jpg);
    background-size: cover;
    padding: 2em 0 2em 0;
}

.main-container-intro {
    height: auto;
    padding: 4em 0 0 0;
    width: 100%;
    display: flex;
    gap: 10dvw;
    align-items: center;
}

.tittles{
    font-family: poppins;
    font-size: 1.4em;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 1em;
    margin: 0 0 0 4em;
}

.pic-me {
    border-radius: 500em;
    height: 30dvw;
    position: relative;
    right: 80px;
}

.main-button {
    font-size: 0.7em;
    padding: 0.89em 2em;
    background-color: var(--cor-secundaria);
    border: 1px black solid;
    border-radius: 500em;
    margin: 1em 0 0 0;
    color: var(--cor-principal);
}

/* Final - Section - Intro */

/* Menu de opções */

#mobile-options {
    height: 100dvh;
    width: 100%;
    background-color: var(--cor-secundaria);
    position: fixed;
    z-index: 11;
    padding: 1em;
    display: none;
}

.div-close-button {
    display: flex;
    flex-direction: row-reverse;
}
#close-menu-mobile-button:hover {
    cursor: pointer;
}
.container-menu-mobile-buttons {
    height: 80dvh;
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    align-items: center;
    gap: 0.1em;
    font-family: poppins;

}

.container-buttons-mobile-menu {
    margin: auto;
    width: 100%;
    height: 33%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-bottom: solid black 1px;
}

@media screen and (max-width: 800px) {
    /* Inicio - GERAIS */
    .paragraph {
        font-size: 0.8em;
    }

    .logo-name {
        font-size: 1em;
    }
    /* Final - GERAIS */

    /* HEADER / Menu */
    .menu {
        display: none;
    }

    #bi-header-list-button {
        display: block;
        position: relative;
        z-index: 12;
    }
    #bi-header-list-button:hover{
       cursor: pointer;
    }

    .button-menu {
        font-size: 0.6em;
    }

    .main-container-intro{
        flex-wrap: wrap-reverse;
        justify-content: center;
        align-items: center;
    }
    .tittles {
        margin: 0 1em 0 1em;
        font-size: 1em;
        display: flex;
        align-items: center;
    }

    .main-container-intro {
        gap: 1em;
        padding: 2em 0 0 0;
    }
    .pic-me {
        right: 0;
    }

    /* club */

    .clubmedSection{
        display: flex;
        flex-direction: column-reverse;
        padding: 1em;
    }

    .clubLeft{
        padding: 0;

    }
    .clubLeft h1 {
        font-size: 1.4em;
    }
    .clubLeft .guestTittle {
        font-size: 2em;
    }

    /* ce */

    .ceSection {
        display: flex;
        flex-direction: column;

    }

    .ceSection .ceRigth .ceSubTittle {
        font-size: 1.6em;
    }

    /* chez */

    .chezSection {
        display: flex;
        flex-direction: column-reverse;

    }

    /* certificates */

    #certificate {
        padding: 0;
        height: 150dvh;
        display: flex;
        flex-direction: column;
        gap: 1em;
        padding: 1em;
    }
    .certificates{
        height: 300px; 
        width: 400pxem;
        margin: 0;
    }

    .projetoSection{
        display: flex;
        flex-direction: column;
    }
}

